Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 595108

Summary: sys-libs/db-4.8.30-r2 fails to build with ld.gold
Product: Gentoo Linux Reporter: junkmailnotread
Component: Current packagesAssignee: Gentoo's Team for Core System packages <base-system>
Status: RESOLVED FIXED    
Severity: normal CC: devurandom, esigra, lssndrbarbieri, tsmksubc, walch.martin
Priority: Normal Keywords: PullRequest
Version: unspecified   
Hardware: All   
OS: Linux   
See Also: https://github.com/gentoo/gentoo/pull/19100
https://github.com/gentoo/gentoo/pull/19171
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 269315    
Attachments: build.log
config.log

Description junkmailnotread 2016-09-25 16:45:34 UTC
sys-libs/db-4.8.30-r2 fails to build with ld.gold

The failing error message is:

/usr/lib/gcc/x86_64-pc-linux-gnu/4.9.3/../../../../x86_64-pc-linux-gnu/bin/ld: --default-symver: unknown option

sys-libs/db-4.8.30-r2 builds OK if I switch to ld.bfd



emerge --info output:

Portage 2.2.28 (python 2.7.10-final-0, default/linux/amd64/13.0, gcc-4.9.3, glibc-2.22-r4, 4.7.0 x86_64)
=================================================================
System uname: Linux-4.7.0-x86_64-AMD_A10-7800_Radeon_R7,_12_Compute_Cores_4C+8G-with-gentoo-2.2
KiB Mem:     7679728 total,   6492852 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sat, 24 Sep 2016 22:45:01 +0000
sh bash 4.3_p46-r1
ld GNU gold (Gentoo 2.25.1 p1.1 2.25.1) 1.11
app-shells/bash:          4.3_p46-r1::gentoo
dev-lang/perl:            5.22.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3-r1::gentoo
dev-util/cmake:           3.5.2-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.21.7::gentoo
sys-apps/sandbox:         2.10-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.9.6-r4::gentoo, 1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 4.3::gentoo (virtual/os-headers)
sys-libs/glibc:           2.22-r4::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.uk.gentoo.org/gentoo-portage
    priority: -1000

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-11.x google-chrome"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-pipe -O2 -march=core2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/gnupg/qualified.txt /var/bind"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-pipe -O2 -march=core2"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs buildpkg config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.mirrorservice.org/sites/distfiles.gentoo.org/ ftp://mirror.bytemark.co.uk/gentoo/"
LANG="en_GB.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv mmx mmxext modules multilib ncurses nls nptl openmp pam pcre pulseaudio readline seccomp session sse sse2 ssl system-ffmpeg system-harfbuzz system-icu system-jpeg system-jsoncpp system-libevent system-libvpx system-sqlite tcpd threads truetype unicode xattr zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2 sse3 ssse3" CURL_SSL="openssl" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="efi-64" INPUT_DEVICES="evdev" KERNEL="linux" L10N="en en-GB" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en en_GB" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-6" PYTHON_SINGLE_TARGET="python3_4" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="amdgpu nouveau radeon radeonsi" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 junkmailnotread 2016-09-25 16:46:29 UTC
Created attachment 447864 [details]
build.log
Comment 2 junkmailnotread 2016-09-25 16:47:20 UTC
Created attachment 447866 [details]
config.log
Comment 3 Alessandro Barbieri 2017-04-24 10:54:07 UTC
I got

 * abi_x86_64.amd64: running multilib-minimal_abi_src_configure
 * Forcing usage of the BFD linker instead of GOLD
 * ERROR: sys-libs/db-4.8.30-r2::gentoo failed (configure phase):
 *   unable to locate a BFD linker to bypass gold
 *
 * Call stack:
 *     ebuild.sh, line  115:  Called src_configure
 *   environment, line 6266:  Called multilib-minimal_src_configure
 *   environment, line 5373:  Called multilib_foreach_abi 'multilib-minimal_abi_src_configure'
 *   environment, line 5587:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *   environment, line 5234:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_configure'
 *   environment, line 5232:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_configure'
 *   environment, line 1356:  Called multilib-minimal_abi_src_configure
 *   environment, line 5367:  Called multilib_src_configure
 *   environment, line 5800:  Called tc-ld-disable-gold
 *   environment, line 6760:  Called die
 * The specific snippet of code:
 *               die "unable to locate a BFD linker to bypass gold";
Comment 4 Theo Anderson 2021-01-18 05:08:18 UTC
Also occurs with ld.lld
Comment 5 Larry the Git Cow gentoo-dev 2021-01-24 17:41:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=811c7e411281c4c911890175b7615cb1971851a7

commit 811c7e411281c4c911890175b7615cb1971851a7
Author:     Theo Anderson <telans@posteo.de>
AuthorDate: 2021-01-23 10:24:20 +0000
Commit:     Mike Gilbert <floppym@gentoo.org>
CommitDate: 2021-01-24 17:39:42 +0000

    sys-libs/db: use tc-ld-force-bfd instead of tc-ld-disable-gold
    
    ld.bfd is forced due to sys-libs/db requiring
    the --default-symver ldflag, which is not present in either
    ld.gold or ld.lld
    
    Closes: https://bugs.gentoo.org/595108
    Closes: https://bugs.gentoo.org/729510
    Package-Manager: Portage-3.0.14, Repoman-3.0.2
    Signed-off-by: Theo Anderson <telans@posteo.de>
    Signed-off-by: Mike Gilbert <floppym@gentoo.org>
    Closes: https://github.com/gentoo/gentoo/pull/19171

 sys-libs/db/db-18.1.32.ebuild   | 4 ++--
 sys-libs/db/db-18.1.40.ebuild   | 4 ++--
 sys-libs/db/db-4.8.30-r3.ebuild | 4 ++--
 sys-libs/db/db-4.8.30-r4.ebuild | 4 ++--
 sys-libs/db/db-5.1.29-r2.ebuild | 4 ++--
 sys-libs/db/db-5.3.28-r2.ebuild | 4 ++--
 sys-libs/db/db-5.3.28-r4.ebuild | 2 +-
 sys-libs/db/db-5.3.28-r5.ebuild | 4 ++--
 sys-libs/db/db-6.0.35-r2.ebuild | 4 ++--
 sys-libs/db/db-6.0.35-r3.ebuild | 4 ++--
 sys-libs/db/db-6.1.38.ebuild    | 4 ++--
 sys-libs/db/db-6.2.38.ebuild    | 2 +-
 12 files changed, 22 insertions(+), 22 deletions(-)